package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TkCommonAssignedExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public TkCommonAssignedExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdIsNull() {
            addCriterion("common_tk_id is null");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdIsNotNull() {
            addCriterion("common_tk_id is not null");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdEqualTo(String value) {
            addCriterion("common_tk_id =", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdNotEqualTo(String value) {
            addCriterion("common_tk_id <>", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdGreaterThan(String value) {
            addCriterion("common_tk_id >", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdGreaterThanOrEqualTo(String value) {
            addCriterion("common_tk_id >=", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdLessThan(String value) {
            addCriterion("common_tk_id <", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdLessThanOrEqualTo(String value) {
            addCriterion("common_tk_id <=", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdLike(String value) {
            addCriterion("common_tk_id like", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdNotLike(String value) {
            addCriterion("common_tk_id not like", value, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdIn(List<String> values) {
            addCriterion("common_tk_id in", values, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdNotIn(List<String> values) {
            addCriterion("common_tk_id not in", values, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdBetween(String value1, String value2) {
            addCriterion("common_tk_id between", value1, value2, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andCommonTkIdNotBetween(String value1, String value2) {
            addCriterion("common_tk_id not between", value1, value2, "commonTkId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdIsNull() {
            addCriterion("assigned_user_id is null");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdIsNotNull() {
            addCriterion("assigned_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdEqualTo(String value) {
            addCriterion("assigned_user_id =", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdNotEqualTo(String value) {
            addCriterion("assigned_user_id <>", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdGreaterThan(String value) {
            addCriterion("assigned_user_id >", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("assigned_user_id >=", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdLessThan(String value) {
            addCriterion("assigned_user_id <", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdLessThanOrEqualTo(String value) {
            addCriterion("assigned_user_id <=", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdLike(String value) {
            addCriterion("assigned_user_id like", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdNotLike(String value) {
            addCriterion("assigned_user_id not like", value, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdIn(List<String> values) {
            addCriterion("assigned_user_id in", values, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdNotIn(List<String> values) {
            addCriterion("assigned_user_id not in", values, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdBetween(String value1, String value2) {
            addCriterion("assigned_user_id between", value1, value2, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserIdNotBetween(String value1, String value2) {
            addCriterion("assigned_user_id not between", value1, value2, "assignedUserId");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameIsNull() {
            addCriterion("assigned_user_name is null");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameIsNotNull() {
            addCriterion("assigned_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameEqualTo(String value) {
            addCriterion("assigned_user_name =", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameNotEqualTo(String value) {
            addCriterion("assigned_user_name <>", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameGreaterThan(String value) {
            addCriterion("assigned_user_name >", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("assigned_user_name >=", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameLessThan(String value) {
            addCriterion("assigned_user_name <", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameLessThanOrEqualTo(String value) {
            addCriterion("assigned_user_name <=", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameLike(String value) {
            addCriterion("assigned_user_name like", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameNotLike(String value) {
            addCriterion("assigned_user_name not like", value, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameIn(List<String> values) {
            addCriterion("assigned_user_name in", values, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameNotIn(List<String> values) {
            addCriterion("assigned_user_name not in", values, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameBetween(String value1, String value2) {
            addCriterion("assigned_user_name between", value1, value2, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedUserNameNotBetween(String value1, String value2) {
            addCriterion("assigned_user_name not between", value1, value2, "assignedUserName");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleIsNull() {
            addCriterion("assigned_role is null");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleIsNotNull() {
            addCriterion("assigned_role is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleEqualTo(Integer value) {
            addCriterion("assigned_role =", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleNotEqualTo(Integer value) {
            addCriterion("assigned_role <>", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleGreaterThan(Integer value) {
            addCriterion("assigned_role >", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleGreaterThanOrEqualTo(Integer value) {
            addCriterion("assigned_role >=", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleLessThan(Integer value) {
            addCriterion("assigned_role <", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleLessThanOrEqualTo(Integer value) {
            addCriterion("assigned_role <=", value, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleIn(List<Integer> values) {
            addCriterion("assigned_role in", values, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleNotIn(List<Integer> values) {
            addCriterion("assigned_role not in", values, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleBetween(Integer value1, Integer value2) {
            addCriterion("assigned_role between", value1, value2, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedRoleNotBetween(Integer value1, Integer value2) {
            addCriterion("assigned_role not between", value1, value2, "assignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdIsNull() {
            addCriterion("beassigned_user_id is null");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdIsNotNull() {
            addCriterion("beassigned_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdEqualTo(String value) {
            addCriterion("beassigned_user_id =", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdNotEqualTo(String value) {
            addCriterion("beassigned_user_id <>", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdGreaterThan(String value) {
            addCriterion("beassigned_user_id >", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("beassigned_user_id >=", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdLessThan(String value) {
            addCriterion("beassigned_user_id <", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdLessThanOrEqualTo(String value) {
            addCriterion("beassigned_user_id <=", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdLike(String value) {
            addCriterion("beassigned_user_id like", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdNotLike(String value) {
            addCriterion("beassigned_user_id not like", value, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdIn(List<String> values) {
            addCriterion("beassigned_user_id in", values, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdNotIn(List<String> values) {
            addCriterion("beassigned_user_id not in", values, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdBetween(String value1, String value2) {
            addCriterion("beassigned_user_id between", value1, value2, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserIdNotBetween(String value1, String value2) {
            addCriterion("beassigned_user_id not between", value1, value2, "beassignedUserId");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameIsNull() {
            addCriterion("beassigned_user_name is null");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameIsNotNull() {
            addCriterion("beassigned_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameEqualTo(String value) {
            addCriterion("beassigned_user_name =", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameNotEqualTo(String value) {
            addCriterion("beassigned_user_name <>", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameGreaterThan(String value) {
            addCriterion("beassigned_user_name >", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("beassigned_user_name >=", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameLessThan(String value) {
            addCriterion("beassigned_user_name <", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameLessThanOrEqualTo(String value) {
            addCriterion("beassigned_user_name <=", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameLike(String value) {
            addCriterion("beassigned_user_name like", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameNotLike(String value) {
            addCriterion("beassigned_user_name not like", value, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameIn(List<String> values) {
            addCriterion("beassigned_user_name in", values, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameNotIn(List<String> values) {
            addCriterion("beassigned_user_name not in", values, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameBetween(String value1, String value2) {
            addCriterion("beassigned_user_name between", value1, value2, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedUserNameNotBetween(String value1, String value2) {
            addCriterion("beassigned_user_name not between", value1, value2, "beassignedUserName");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleIsNull() {
            addCriterion("beassigned_role is null");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleIsNotNull() {
            addCriterion("beassigned_role is not null");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleEqualTo(Integer value) {
            addCriterion("beassigned_role =", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleNotEqualTo(Integer value) {
            addCriterion("beassigned_role <>", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleGreaterThan(Integer value) {
            addCriterion("beassigned_role >", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleGreaterThanOrEqualTo(Integer value) {
            addCriterion("beassigned_role >=", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleLessThan(Integer value) {
            addCriterion("beassigned_role <", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleLessThanOrEqualTo(Integer value) {
            addCriterion("beassigned_role <=", value, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleIn(List<Integer> values) {
            addCriterion("beassigned_role in", values, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleNotIn(List<Integer> values) {
            addCriterion("beassigned_role not in", values, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleBetween(Integer value1, Integer value2) {
            addCriterion("beassigned_role between", value1, value2, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andBeassignedRoleNotBetween(Integer value1, Integer value2) {
            addCriterion("beassigned_role not between", value1, value2, "beassignedRole");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusIsNull() {
            addCriterion("assigned_status is null");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusIsNotNull() {
            addCriterion("assigned_status is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusEqualTo(Integer value) {
            addCriterion("assigned_status =", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusNotEqualTo(Integer value) {
            addCriterion("assigned_status <>", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusGreaterThan(Integer value) {
            addCriterion("assigned_status >", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("assigned_status >=", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusLessThan(Integer value) {
            addCriterion("assigned_status <", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusLessThanOrEqualTo(Integer value) {
            addCriterion("assigned_status <=", value, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusIn(List<Integer> values) {
            addCriterion("assigned_status in", values, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusNotIn(List<Integer> values) {
            addCriterion("assigned_status not in", values, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusBetween(Integer value1, Integer value2) {
            addCriterion("assigned_status between", value1, value2, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("assigned_status not between", value1, value2, "assignedStatus");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeIsNull() {
            addCriterion("assigned_end_time is null");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeIsNotNull() {
            addCriterion("assigned_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeEqualTo(Date value) {
            addCriterion("assigned_end_time =", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeNotEqualTo(Date value) {
            addCriterion("assigned_end_time <>", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeGreaterThan(Date value) {
            addCriterion("assigned_end_time >", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("assigned_end_time >=", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeLessThan(Date value) {
            addCriterion("assigned_end_time <", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("assigned_end_time <=", value, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeIn(List<Date> values) {
            addCriterion("assigned_end_time in", values, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeNotIn(List<Date> values) {
            addCriterion("assigned_end_time not in", values, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeBetween(Date value1, Date value2) {
            addCriterion("assigned_end_time between", value1, value2, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("assigned_end_time not between", value1, value2, "assignedEndTime");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeIsNull() {
            addCriterion("assigned_node is null");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeIsNotNull() {
            addCriterion("assigned_node is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeEqualTo(String value) {
            addCriterion("assigned_node =", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeNotEqualTo(String value) {
            addCriterion("assigned_node <>", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeGreaterThan(String value) {
            addCriterion("assigned_node >", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeGreaterThanOrEqualTo(String value) {
            addCriterion("assigned_node >=", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeLessThan(String value) {
            addCriterion("assigned_node <", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeLessThanOrEqualTo(String value) {
            addCriterion("assigned_node <=", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeLike(String value) {
            addCriterion("assigned_node like", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeNotLike(String value) {
            addCriterion("assigned_node not like", value, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeIn(List<String> values) {
            addCriterion("assigned_node in", values, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeNotIn(List<String> values) {
            addCriterion("assigned_node not in", values, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeBetween(String value1, String value2) {
            addCriterion("assigned_node between", value1, value2, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andAssignedNodeNotBetween(String value1, String value2) {
            addCriterion("assigned_node not between", value1, value2, "assignedNode");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNull() {
            addCriterion("update_by is null");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNotNull() {
            addCriterion("update_by is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateByEqualTo(String value) {
            addCriterion("update_by =", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotEqualTo(String value) {
            addCriterion("update_by <>", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThan(String value) {
            addCriterion("update_by >", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThanOrEqualTo(String value) {
            addCriterion("update_by >=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThan(String value) {
            addCriterion("update_by <", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThanOrEqualTo(String value) {
            addCriterion("update_by <=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLike(String value) {
            addCriterion("update_by like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotLike(String value) {
            addCriterion("update_by not like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByIn(List<String> values) {
            addCriterion("update_by in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotIn(List<String> values) {
            addCriterion("update_by not in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByBetween(String value1, String value2) {
            addCriterion("update_by between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotBetween(String value1, String value2) {
            addCriterion("update_by not between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeIsNull() {
            addCriterion("perform_user_type is null");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeIsNotNull() {
            addCriterion("perform_user_type is not null");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeEqualTo(String value) {
            addCriterion("perform_user_type =", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeNotEqualTo(String value) {
            addCriterion("perform_user_type <>", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeGreaterThan(String value) {
            addCriterion("perform_user_type >", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeGreaterThanOrEqualTo(String value) {
            addCriterion("perform_user_type >=", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeLessThan(String value) {
            addCriterion("perform_user_type <", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeLessThanOrEqualTo(String value) {
            addCriterion("perform_user_type <=", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeLike(String value) {
            addCriterion("perform_user_type like", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeNotLike(String value) {
            addCriterion("perform_user_type not like", value, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeIn(List<String> values) {
            addCriterion("perform_user_type in", values, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeNotIn(List<String> values) {
            addCriterion("perform_user_type not in", values, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeBetween(String value1, String value2) {
            addCriterion("perform_user_type between", value1, value2, "performUserType");
            return (Criteria) this;
        }

        public Criteria andPerformUserTypeNotBetween(String value1, String value2) {
            addCriterion("perform_user_type not between", value1, value2, "performUserType");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}